Skip to main content
POST
/
v1
/
workflows
/
{workflow_id}
Update a workflow
curl --request POST \
  --url https://api.skyvern.com/v1/workflows/{workflow_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "json_definition": {
    "title": "<string>",
    "workflow_definition": {
      "parameters": [
        {
          "key": "<string>",
          "aws_key": "<string>",
          "parameter_type": "aws_secret",
          "description": "<string>"
        }
      ],
      "blocks": [
        {
          "label": "<string>",
          "block_type": "task",
          "next_block_label": "<string>",
          "continue_on_failure": false,
          "model": {},
          "next_loop_on_failure": false,
          "url": "<string>",
          "title": "",
          "engine": "skyvern-1.0",
          "navigation_goal": "<string>",
          "data_extraction_goal": "<string>",
          "data_schema": {},
          "error_code_mapping": {},
          "max_retries": 0,
          "max_steps_per_run": 123,
          "parameter_keys": [
            "<string>"
          ],
          "complete_on_download": false,
          "download_suffix": "<string>",
          "totp_verification_url": "<string>",
          "totp_identifier": "<string>",
          "disable_cache": false,
          "complete_criterion": "<string>",
          "terminate_criterion": "<string>",
          "complete_verification": true,
          "include_action_history_in_verification": false
        }
      ],
      "version": 1,
      "finally_block_label": "<string>"
    },
    "description": "<string>",
    "proxy_location": "RESIDENTIAL",
    "webhook_callback_url": "<string>",
    "totp_verification_url": "<string>",
    "totp_identifier": "<string>",
    "persist_browser_session": false,
    "model": {},
    "is_saved_task": false,
    "max_screenshot_scrolls": 123,
    "extra_http_headers": {},
    "status": "published",
    "run_with": "<string>",
    "ai_fallback": false,
    "cache_key": "default",
    "run_sequentially": false,
    "sequential_key": "<string>",
    "folder_id": "<string>"
  },
  "yaml_definition": "<string>"
}
'
{
  "workflow_id": "<string>",
  "organization_id": "<string>",
  "title": "<string>",
  "workflow_permanent_id": "<string>",
  "version": 123,
  "is_saved_task": true,
  "workflow_definition": {
    "parameters": [
      {
        "key": "<string>",
        "workflow_parameter_id": "<string>",
        "workflow_parameter_type": "string",
        "workflow_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "parameter_type": "workflow",
        "description": "<string>",
        "default_value": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z"
      }
    ],
    "blocks": [
      {
        "label": "<string>",
        "output_parameter": {
          "key": "<string>",
          "output_parameter_id": "<string>",
          "workflow_id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "parameter_type": "output",
          "description": "<string>",
          "deleted_at": "2023-11-07T05:31:56Z"
        },
        "next_block_label": "<string>",
        "block_type": "conditional",
        "continue_on_failure": false,
        "model": {},
        "disable_cache": false,
        "next_loop_on_failure": false,
        "branch_conditions": [
          {
            "id": "<string>",
            "criteria": {
              "expression": "<string>",
              "criteria_type": "jinja2_template",
              "description": "<string>"
            },
            "next_block_label": "<string>",
            "description": "<string>",
            "is_default": false
          }
        ]
      }
    ],
    "version": 1,
    "finally_block_label": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "is_template": false,
  "description": "<string>",
  "proxy_location": "RESIDENTIAL",
  "webhook_callback_url": "<string>",
  "totp_verification_url": "<string>",
  "totp_identifier": "<string>",
  "persist_browser_session": false,
  "model": {},
  "status": "published",
  "max_screenshot_scrolls": 123,
  "extra_http_headers": {},
  "run_with": "<string>",
  "ai_fallback": false,
  "cache_key": "<string>",
  "run_sequentially": true,
  "sequential_key": "<string>",
  "folder_id": "<string>",
  "import_error": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

workflow_id
string
required

The ID of the workflow to update. Workflow ID starts with wpid_.

Example:

"wpid_123"

Body

application/json
json_definition
WorkflowCreateYAMLRequest · object

Workflow definition in JSON format

yaml_definition
string | null

Workflow definition in YAML format

Response

Successfully updated workflow

workflow_id
string
required
organization_id
string
required
title
string
required
workflow_permanent_id
string
required
version
integer
required
is_saved_task
boolean
required
workflow_definition
WorkflowDefinition · object
required
created_at
string<date-time>
required
modified_at
string<date-time>
required
is_template
boolean
default:false
description
string | null
proxy_location
Available options:
RESIDENTIAL,
US-CA,
US-NY,
US-TX,
US-FL,
US-WA,
RESIDENTIAL_ES,
RESIDENTIAL_IE,
RESIDENTIAL_GB,
RESIDENTIAL_IN,
RESIDENTIAL_JP,
RESIDENTIAL_FR,
RESIDENTIAL_DE,
RESIDENTIAL_NZ,
RESIDENTIAL_ZA,
RESIDENTIAL_AR,
RESIDENTIAL_AU,
RESIDENTIAL_BR,
RESIDENTIAL_TR,
RESIDENTIAL_CA,
RESIDENTIAL_MX,
RESIDENTIAL_IT,
RESIDENTIAL_NL,
RESIDENTIAL_PH,
RESIDENTIAL_ISP,
NONE
webhook_callback_url
string | null
totp_verification_url
string | null
totp_identifier
string | null
persist_browser_session
boolean
default:false
model
Model · object
status
enum<string>
default:published
Available options:
published,
draft,
auto_generated,
importing,
import_failed
max_screenshot_scrolls
integer | null
extra_http_headers
Extra Http Headers · object
run_with
string | null
ai_fallback
boolean
default:false
cache_key
string | null
run_sequentially
boolean | null
sequential_key
string | null
folder_id
string | null
import_error
string | null
deleted_at
string<date-time> | null